Package org.apache.sling.feature.extension.apiregions.launcher

# Class LauncherProperties

java.lang.Object
org.apache.sling.feature.extension.apiregions.launcher.LauncherProperties

public class LauncherProperties extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PROPERTY_PREFIX`

## Constructor Summary

Constructors
Constructor
Description
`LauncherProperties()`

## Method Summary

Modifier and Type
Method
Description
`static Properties`
`getBundleIDtoBSNandVersionMap(org.apache.sling.feature.Feature app, org.apache.sling.feature.builder.ArtifactProvider artifactProvider)`
`static Properties`
`getBundleIDtoFeaturesMap(org.apache.sling.feature.Feature app)`
`static Properties`
`getFeatureIDtoRegionsMap(ApiRegions regions)`
`static Properties`
`getRegionNametoPackagesMap(ApiRegions regions)`
`static void`
`save(Properties properties, File file)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PROPERTY_PREFIX

public static final String PROPERTY_PREFIX

See Also:
  - Constant Field Values

## Constructor Details

### LauncherProperties

public LauncherProperties()

## Method Details

### getBundleIDtoBSNandVersionMap

public static Properties getBundleIDtoBSNandVersionMap(org.apache.sling.feature.Feature app, org.apache.sling.feature.builder.ArtifactProvider artifactProvider)

### getBundleIDtoFeaturesMap

public static Properties getBundleIDtoFeaturesMap(org.apache.sling.feature.Feature app)

### getFeatureIDtoRegionsMap

public static Properties getFeatureIDtoRegionsMap(ApiRegions regions)

### getRegionNametoPackagesMap

public static Properties getRegionNametoPackagesMap(ApiRegions regions)

### save

public static void save(Properties properties, File file) throws IOException

Throws:
  `IOException`